Bug 1896359 - "Count threads as cores" option is not honored by the RHV Dashboard CPU graph
Summary: "Count threads as cores" option is not honored by the RHV Dashboard CPU graph
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh
Version: 4.3.11
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ovirt-4.4.7
: 4.4.7
Assignee: Aviv Litman
QA Contact: Pavel Novotny
URL:
Whiteboard:
: 1896192 (view as bug list)
Depends On:
Blocks: 1962641
TreeView+ depends on / blocked
 
Reported: 2020-11-10 11:03 UTC by Juan Orti
Modified: 2021-07-22 15:12 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-dwh-4.4.7.2 ovirt-engine-4.4.7
Doc Type: Deprecated Functionality
Doc Text:
The column name threads_per_core in the Red hat Virtualization manager Dashboard is being deprecated, and will be removed in a future release. In version 4.4.7.2 the column name for threads_per_core will be changed to number_of_threads. In the Data Warehouse, the old name will be retained as an additional alias, resulting in 2 columns providing the same data: number_of_threads and threads_per_core, and threads_per_core will be removed in a future version.
Clone Of:
Environment:
Last Closed: 2021-07-22 15:12:18 UTC
oVirt Team: Metrics
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 5565451 0 None None None 2021-01-07 15:06:10 UTC
Red Hat Knowledge Base (Solution) 5567081 0 None None None 2020-11-10 11:03:46 UTC
Red Hat Product Errata RHSA-2021:2865 0 None None None 2021-07-22 15:12:56 UTC
oVirt gerrit 114565 0 master MERGED Add count_threads_as_cores to DWH views 2021-05-06 07:58:32 UTC
oVirt gerrit 114568 0 master MERGED Add count_threads_as_cores to DWH 2021-05-20 07:47:41 UTC
oVirt gerrit 115163 0 master MERGED database: update cpu_threads alias 2021-06-17 11:29:11 UTC
oVirt gerrit 115167 0 master MERGED Add number_of_threads 2021-06-20 07:20:05 UTC

Description Juan Orti 2020-11-10 11:03:46 UTC
Description of problem:
The RHV Manager dashboard does not honor the "count threads as cores" cluster option. Enabling or disabling that option does not alter the percentages of commited and allocated CPU.

Version-Release number of selected component (if applicable):
ovirt-engine-4.3.11.4-0.1.el7.noarch

How reproducible:
Always

Steps to Reproduce:
1. Use RHV 4.3.11 manager and hosts.
2. Hosts have SMT CPU and SMT is enabled.
3. Have some VMs running.
4. Check/Uncheck the "count threads as cores" option of the cluster. Verify in the dashboard the committed and allocated CPU values.

Actual results:
Committed and allocated CPU values are not affected by the "count threads as cores" option

Expected results:
The percentage calculation of the dashboard should be based on the "count threads as cores" option.

Additional info:

Comment 2 Sharon Gratch 2021-01-07 15:06:10 UTC
*** Bug 1896192 has been marked as a duplicate of this bug. ***

Comment 17 Pavel Novotny 2021-07-10 01:10:35 UTC
Verified in 
ovirt-engine-4.4.7.6-0.11.el8ev.noarch
ovirt-engine-dwh-4.4.7.3-1.el8ev.noarch

I checked the columns threads_per_core and number_of_threads in the host views and they match (also the host CPU topology).
Also verified that column count_threads_as_cores matches the cluster 'Count Threads As Cores' settings.
Another verification of these values has been done via Grafana dashboards in bug 1962641 comment 2.

Comment 21 errata-xmlrpc 2021-07-22 15:12:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: RHV Manager (ovirt-engine) security update [ovirt-4.4.7]), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2865


Note You need to log in before you can comment on or make changes to this bug.